Bug 99826 - Please update Galician (gl) hunspell dictionariy
Summary: Please update Galician (gl) hunspell dictionariy
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All All
: medium enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:6.3.0 target:6.2.0.2 target:6.1.5
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2016-05-13 12:12 UTC by Mattia Rizzolo
Modified: 2019-01-21 00:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mattia Rizzolo 2016-05-13 12:12:09 UTC
Here you can find a newer release from 2013 (the current bundled one is from 2012).

https://github.com/meixome/hunspell-gl/releases
Guess you can also use the already built one in the debian package
http://ftp.debian.org/debian/pool/main/h/hunspell-gl-es/hunspell-gl-es_13.10.orig.tar.gz

TIA!
Comment 1 Aron Budea 2016-05-18 01:19:44 UTC
Checked the archives, seems like the Debian one, despite being newer, contains fewer words than the current. Maybe it was generated with different settings.
Comment 2 Mattia Rizzolo 2016-05-21 11:17:20 UTC
Indeed diffing the .dic in lo-dicts and in debian reveals there are ~4k more lines in the lo-dicts one.

Though I can recreate the exact same dictionary using the default options (just by running `scons` without any flag).
Are there some traces about how the dictionary in lo-dicts was originally built?
Comment 3 Aron Budea 2016-05-21 17:28:28 UTC
The previous update happened in reaction to bug 56130.
I can also see that there were several commits to Antón Méixome's github repository even since the 2013 release.

Antón, can you give your opinion if Galician spellchecker should be updated in LibreOffice, and to which version, current master or latest release from 2013?
Comment 4 Mattia Rizzolo 2016-06-14 10:52:02 UTC
looking at bug 56130 I see that the source for lo-dicts copy of the gl-es hunspell dictionary is https://github.com/meixome/hunspell-gl-volga instead of https://github.com/meixome/hunspell-gl
I can't figure what's the difference between the two is supposed to be.

Anton: can you tell us what we should do/think?
Comment 5 Mattia Rizzolo 2016-07-22 09:41:18 UTC
Anton: do you think you can look at this?
Comment 6 Aron Budea 2016-07-22 10:15:27 UTC
I'm not sure this is going to work. Could you open an issue in the issue tracker of hunspell-gl/hunspell-gl-volga's github repository? There's a better chance that the right people will be looking at it there, while here we can't do anything, I'm afraid.

For now I'm closing this as NOTOURBUG, but we'll gladly have the dictionary updated in LibreOffice once we're provided with respective dictionary files from the maintainer. Feel free to update this bug report then (change status back to NEW), or open a new one. Thank you!
Comment 7 Mattia Rizzolo 2016-08-21 12:59:33 UTC
alright, I opened a bug against huspell-gl: https://github.com/meixome/hunspell-gl/issues/201

I hope to receive a word by the end of the year :)

Thanks anyway for your support, but this situation is quite confusing (also sorry if it takes me so much to react..)
Comment 8 Mattia Rizzolo 2018-04-18 06:17:35 UTC
So, according to the people (which includes the maintainer) in https://github.com/meixome/hunspell-gl/issues/201 - the dictionary with fewer words should be used, instead of the -volga variant (which seems to contain also invalid but somehow tolerated words).

(This took a tad longer than expected…)
Comment 9 Aron Budea 2018-12-28 03:56:48 UTC
Seems like commit notification isn't working, let's fake one. :)
(the commit is real)

Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/dictionaries/+/fea4ea689cd27d4c0bd981fdc01225d3bfacfc2d

tdf#99826 Update Galician dictionaries to version 18.07

It will be available in 6.3.0.